Subject: Re: linux-next: build failure after merge of the devicetree tree

From: Grant Likely <[email-masked]>
Date: Thu, 15 Jul 2010 00:06:40 -0600

On Wed, Jul 14, 2010 at 8:15 PM, Stephen Rothwell <[email-masked]> wrote:
> Hi Grant,
>
> After merging the devicetree tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
> drivers/of/platform.c: In function 'of_device_make_bus_id':
> drivers/of/platform.c:437: error: implicit declaration of function 'of_translate_dcr_address'

Oops.  I reworked one of my patches which moved the dcr call into the
common code (protected by a #ifdef) because it was just to messy to
try and factor it out.  Here's the fix:

diff --git a/drivers/of/platform.c b/drivers/of/platform.c
index 125f2bc..5be0080 100644
--- a/drivers/of/platform.c
+++ b/drivers/of/platform.c
@@ -19,6 +19,10 @@
 #include <linux/of_device.h>
 #include <linux/of_platform.h>

+#if defined(CONFIG_PPC_DCR)
+#include <asm/dcr.h>
+#endif
+
 extern struct device_attribute of_platform_device_attrs[];

 static int of_platform_bus_match(struct device *dev, struct device_driver *drv)

I've pushed it out to my devicetree-next branch so it is ready for you tomorrow.

> As you requested, I have dropped that tree form linux-next for today.

Thanks.  I had to rebase, so by you dropping it I can do a trial merge
without conflicting against my old tree.

> Andrew, I hope this does not cause you too much pain.

If it does, you can pull in git://git.secretlab.ca/git/linux-2.6
next-devicetree.  It is fixed now.

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.